Page MenuHomePhabricator

Team Practices Group talk about collaboration techniques: remote best practices, backlogs, burndown charts, etc... because communication
Closed, ResolvedPublic

Description

The Team Practices Group works with teams to improve both practices and communication within teams and also to improve collaboration and communication between teams. As a brief introduction to what we do, we would like to share our expertise to help teams across the Foundation to take advantage of readily available tools and techniques to improve their effectiveness. The introductory topics we will address are:

  • sharing best practices for working as a remote team
  • the product backlog: what it is, how to build and maintain one, and its role in communication and visibility
  • other tools and artifacts for communicating both internally amongst a team as well as externally, eg burndown and hurricane charts

The session will be framed as a conversation - if there are other topics you are curious about or you otherwise have questions for the Team Practices Group, bring them to the session!

Event Timeline

ggellerman claimed this task.
ggellerman raised the priority of this task from to Needs Triage.
ggellerman updated the task description. (Show Details)
Qgil triaged this task as Medium priority.Jan 23 2015, 4:04 PM
Awjrichards renamed this task from Team Practices Group talk about collaboration techniques: remote best practices and the role of the backlog to Team Practices Group talk about collaboration techniques: remote best practices, backlogs, burndown charts, etc... because communication.Jan 26 2015, 11:13 PM
Awjrichards updated the task description. (Show Details)
Awjrichards set Security to None.
Awjrichards updated the task description. (Show Details)Jan 27 2015, 12:40 AM
Awjrichards moved this task from To Triage to Done on the Team-Practices board.Jan 27 2015, 11:53 PM
Awjrichards closed this task as Resolved.Feb 9 2015, 11:33 PM